# Access Retrieve GET /api/v2/experiences/{id}/access/ V2 View to retrieve a single Experience by ID. Returns the latest data including the dynamic 'experience_object'. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/experiences/access-retrieve ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v2/experiences/{id}/access/: get: operationId: access-retrieve summary: Access Retrieve description: |- V2 View to retrieve a single Experience by ID. Returns the latest data including the dynamic 'experience_object'. tags: - subpackage_experiences parameters: - name: id in: path required: true schema: type: integer responses: '200': description: '' content: application/json: schema: $ref: '#/components/schemas/ExperienceRead' components: schemas: GlobalVisibilityEnum: type: string enum: - public - private - team - org description: |- * `public` - Public * `private` - Private * `team` - Team * `org` - Organization title: GlobalVisibilityEnum GlobalCreationStatusEnum: type: string enum: - not_started - in_progress - completed - failed description: |- * `not_started` - Not Started * `in_progress` - In Progress * `completed` - Completed * `failed` - Failed title: GlobalCreationStatusEnum PublicationMinimalRead: type: object properties: id: type: integer uid: type: string format: uuid name: type: string custom_url: type: string cover_image: type: - string - 'null' format: uri logo: type: - string - 'null' format: uri visibility: $ref: '#/components/schemas/GlobalVisibilityEnum' required: - id - uid - name - custom_url title: PublicationMinimalRead RAGDocumentMinimalRead: type: object properties: uid: type: string format: uuid document_id: type: integer document_name: type: - string - 'null' required: - uid - document_id - document_name description: >- Minimal serializer for RAG documents, returning only key identifiers and name title: RAGDocumentMinimalRead ExperienceRead: type: object properties: id: type: integer uid: type: string format: uuid workspace_group: type: integer title: type: - string - 'null' primary_deployed_resource_uid: type: - string - 'null' format: uuid description: UID of the primary deployed resource (domain/blog/quest/podcast) primary_deployed_resource_id: type: - integer - 'null' description: Database ID of the primary deployed resource primary_deployed_resource_type: type: - string - 'null' description: >- Type of the primary deployed resource (AI Expert/AI Note/Quest/Podcast) category: type: string subcategory: type: string focus_area: type: - string - 'null' tags: type: array items: type: string visibility: $ref: '#/components/schemas/GlobalVisibilityEnum' status: $ref: '#/components/schemas/GlobalCreationStatusEnum' is_draft: type: boolean is_fully_published: type: boolean description: >- True when all selected experience types have been successfully published publications: type: array items: $ref: '#/components/schemas/PublicationMinimalRead' chat_session: type: - integer - 'null' description: Chat session used to generate this experience needs_review: type: boolean description: Whether this experience requires review before publishing is_generation_ready_for_review: type: boolean experience_object: type: string rag_documents: type: array items: $ref: '#/components/schemas/RAGDocumentMinimalRead' required: - id - uid - workspace_group - category - subcategory - tags - publications - is_generation_ready_for_review - experience_object - rag_documents title: ExperienceRead ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v2/experiences/1/access/" payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v2/experiences/1/access/'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v2/experiences/1/access/" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v2/experiences/1/access/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v2/experiences/1/access/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.example.com/api/v2/experiences/1/access/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v2/experiences/1/access/"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v2/experiences/1/access/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```